
Imports IntraSell_DLL

Public Class BrancheWaehlen

    Dim achtung As Achtung

    Private Sub ButtonRestaurant_Click(sender As Object, e As EventArgs) Handles ButtonRestaurant.Click
        Try
            If MsgBox("Wollen Sie die Gastro Konfiguration aktivieren?", vbYesNo) = vbYes Then
                ModuleBerechtigung.GastroModusAktivieren()
                Dim msg = "Sie können Sich als Chef mit Benutzername '99' und Passwort '99' anmelden. Oder als Kellner 1 (Benutzername '11' und Passwort '11')"

                SetVarValue(Variablen.BRANCHE, "Restaurant")

                achtung = UserMessagePopUp("Anmeldung", msg, MsgBoxStyle.Information)
                AddHandler achtung.OnClose, AddressOf AchtungGeschlossen
            End If
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonZustellsytem_Click(sender As Object, e As EventArgs) Handles ButtonZustellsytem.Click
        Try
            If MsgBox("Wollen Sie die Gastro Konfiguration aktivieren?", vbYesNo) = vbYes Then
                ModuleBerechtigung.ZustellModusAktivieren()
                Dim msg = "Sie können Sich als Chef mit Benutzername '99' und Passwort '99' anmelden. Oder als Zusteller 1 (Benutzername '11' und Passwort '11')"

                SetVarValue(Variablen.BRANCHE, "Zustellsystem")

                achtung = UserMessagePopUp("Anmeldung", msg, MsgBoxStyle.Information)
                AddHandler achtung.OnClose, AddressOf AchtungGeschlossen
            End If
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonFriseursalon_Click(sender As Object, e As EventArgs) Handles ButtonFriseursalon.Click
        Try
            If MsgBox("Wollen Sie die Friseursalon Konfiguration aktivieren?", vbYesNo) = vbYes Then
                ModuleBerechtigung.FriseursalonModusAktivieren()

                SetVarValue(Variablen.BRANCHE, "Friseursalon")

                Dim msg = "Sie können Sich als Chef mit Benutzername '99' und Passwort '99' anmelden."
                achtung = UserMessagePopUp("Anmeldung", msg, MsgBoxStyle.Information)
                AddHandler achtung.OnClose, AddressOf AchtungGeschlossen

            End If
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonHandel_Click(sender As Object, e As EventArgs) Handles ButtonHandel.Click
        Try
            If MsgBox("Wollen Sie die Handel Konfiguration aktivieren?", vbYesNo) = vbYes Then
                ModuleBerechtigung.HandelModusAktivieren()
                SetVarValue(Variablen.BRANCHE, "Handel")

                Dim msg = "Sie können Sich als Chef mit Benutzername '99' und Passwort '99' anmelden."

                achtung = UserMessagePopUp("Anmeldung", msg, MsgBoxStyle.Information)
                AddHandler achtung.OnClose, AddressOf AchtungGeschlossen

            End If
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub
    Private Sub ButtonAutowerkstatt_Click(sender As Object, e As EventArgs) Handles ButtonAutowerkstatt.Click
        Try
            If MsgBox("Wollen Sie die Konfiguration 'Autowerkstatt' aktivieren?", vbYesNo) = vbYes Then
                ModuleBerechtigung.AutowerkstattModusAktivieren()
                SetVarValue(Variablen.BRANCHE, "Autowerkstatt")

                Dim msg = "Sie können Sich als Chef mit Benutzername '99' und Passwort '99' anmelden."

                Dim achtung = UserMessagePopUp("Anmeldung", msg, MsgBoxStyle.Information)
                AddHandler achtung.OnClose, AddressOf AchtungGeschlossen

            End If
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub ButtonEasyKassa_Click(sender As Object, e As EventArgs) Handles ButtonEasyKassa.Click
        Try
            If MsgBox("Wollen Sie die Konfiguration 'Easy Kassa' aktivieren?", vbYesNo) = vbYes Then
                ModuleBerechtigung.EasyKassaModusAktivieren()
                SetVarValue(Variablen.BRANCHE, "EasyKassa")

                Dim msg = "Sie können Sich als Kassa mit Benutzername '11' und Passwort '11' anmelden."

                achtung = UserMessagePopUp("Anmeldung", msg, MsgBoxStyle.Information)
                AddHandler achtung.OnClose, AddressOf AchtungGeschlossen

            End If
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub AchtungGeschlossen()
        achtung.Close()
        Me.Close()
        Login.ShowDialog()
    End Sub


End Class